package com.miaxis.birthday.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.miaxis.birthday.mapper.BirthdayLogMapper;
import com.miaxis.birthday.domain.BirthdayLog;
import com.miaxis.birthday.service.IBirthdayLogService;

/**
 * 查询记录Service业务层处理
 *
 * @author miaxis
 * @date 2023-12-11
 */
@Service
@Slf4j
public class BirthdayLogServiceImpl extends ServiceImpl<BirthdayLogMapper, BirthdayLog> implements IBirthdayLogService {
    @Autowired
    private BirthdayLogMapper birthdayLogMapper;

    /**
     * 查询查询记录列表
     *
     * @param birthdayLog 查询记录
     * @return 查询记录
     */
    @Override
    public List<BirthdayLog> selectBirthdayLogList(BirthdayLog birthdayLog){
        return birthdayLogMapper.selectBirthdayLogList(birthdayLog);
    }


    /**
     * 查询记录表
     *
     * @param birthdayLog 查询记录
     * @return 查询记录
     */
    @Override
    public boolean saveBirthdayLog(BirthdayLog birthdayLog){
        int count = birthdayLogMapper.selectBirthdayLogCount(birthdayLog);

        if(count>0) {
            log.info("当前查询8字已存在");
            return true;
        } else {
            return this.save(birthdayLog);
        }

    }

}
