package com.miaxis.disease.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.disease.dto.DiseasePartDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.disease.mapper.DiseasePartMapper;
import com.miaxis.disease.domain.DiseasePart;
import com.miaxis.disease.service.IDiseasePartService;

/**
 * 疾病部位Service业务层处理
 *
 * @author miaxis
 * @date 2023-11-24
 */
@Service
public class DiseasePartServiceImpl extends ServiceImpl<DiseasePartMapper, DiseasePart> implements IDiseasePartService {
    @Autowired
    private DiseasePartMapper diseasePartMapper;

    /**
     * 查询疾病部位列表
     *
     * @param diseasePartDto 疾病部位
     * @return 疾病部位
     */
    @Override
    public List<DiseasePart> selectDiseasePartList(DiseasePartDto diseasePartDto){
        return diseasePartMapper.selectDiseasePartList(diseasePartDto);
    }
}
