package com.miaxis.gan.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 天干地支对象 gan_zhi
 *
 * @author miaxis
 * @date 2023-11-16
 */
@Data
public class GanZhiDto {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "姓名")
    private String username;

    @ApiModelProperty(value = "性别 1:男  2:女", required = true)
    private Integer sex;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "出生日期 yyyy-MM-dd HH:mm:ss")
    private Date birthDay;

    @ApiModelProperty(value = "是否保存 0:不保存 1保存")
    private Integer isSave;

    @ApiModelProperty(value = "年干",hidden = true)
    private String yearGan;

    @ApiModelProperty(value = "年支",hidden = true)
    private String yearZhi;

    @ApiModelProperty(value = "月干",hidden = true)
    private String monthGan;

    @ApiModelProperty(value = "月支",hidden = true)
    private String monthZhi;

    @ApiModelProperty(value = "日干",hidden = true)
    private String dayGan;

    @ApiModelProperty(value = "日支",hidden = true)
    private String dayZhi;

    @ApiModelProperty(value = "时干",hidden = true)
    private String timeGan;

    @ApiModelProperty(value = "时支",hidden = true)
    private String timeZhi;

    @ApiModelProperty(value = "最强能量的天干",hidden = true)
    private int maxGan;

    @ApiModelProperty(value = "大运",hidden = true)
    private List<Map<String, String>> daYunList;


}
