package com.miaxis.jie.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 百年节气对象 jie_qi
 *
 * @author miaxis
 * @date 2023-11-27
 */
@Data
@TableName("jie_qi")
@ApiModel(value = "JieQiVo", description = "百年节气对象 jie_qi")
public class JieQi extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 节气名称 */
    @Excel(name = "节气名称")
    @TableField("jieqi_name")
    @ApiModelProperty(value = "节气名称")
    private String jieqiName;

    /** 节气开始时间点 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "节气开始时间点", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("jieqi_time")
    @ApiModelProperty(value = "节气开始时间点")
    private Date jieqiTime;

    /** 公历年份 */
    @Excel(name = "公历年份")
    @TableField("year")
    @ApiModelProperty(value = "公历年份")
    private Long year;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setJieqiName(String jieqiName){
        this.jieqiName = jieqiName;
    }

    public String getJieqiName(){
        return jieqiName;
    }
    public void setJieqiTime(Date jieqiTime){
        this.jieqiTime = jieqiTime;
    }

    public Date getJieqiTime(){
        return jieqiTime;
    }
    public void setYear(Long year){
        this.year = year;
    }

    public Long getYear(){
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jieqiName", getJieqiName())
            .append("jieqiTime", getJieqiTime())
            .append("year", getYear())
            .toString();
    }
}
