package com.miaxis.jie.service.impl;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.jie.vo.JieQiVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.miaxis.jie.mapper.JieQiMapper;
import com.miaxis.jie.domain.JieQi;
import com.miaxis.jie.service.IJieQiService;

/**
 * 百年节气Service业务层处理
 *
 * @author miaxis
 * @date 2023-11-27
 */
@Service
public class JieQiServiceImpl extends ServiceImpl<JieQiMapper, JieQi> implements IJieQiService {
    @Autowired
    private JieQiMapper jieQiMapper;

    /**
     * 查询百年节气列表
     *
     * @param jieQi 百年节气
     * @return 百年节气
     */
    @Override
    public List<JieQi> selectJieQiList(JieQi jieQi){
        return jieQiMapper.selectJieQiList(jieQi);
    }

    @Override
    public List<JieQiVo> selectJiiQiFb(Date birthday) {
        return jieQiMapper.selectJiiQiFb(birthday);
    }
}
